Subject: Re: bug#13639: [emacs] ispell.el: hunspell dicts autodetection under Emacs.

From: Eli Zaretskii <[email-masked]>
Date: Thu, 28 Feb 2013 22:26:25 +0200

> Date: Thu, 28 Feb 2013 20:23:45 +0100
> From: Agustin Martin <[email-masked]>
> 
> On Wed, Feb 20, 2013 at 09:00:41PM +0200, Eli Zaretskii wrote:
> > I didn't just read the man page, I also looked into several *.aff
> > files that install with Hunspell dictionaries.  It is clear to me that
> > WORDCHARS is at least unreliable, even if your interpretation is
> > correct (of which I'm still unconvinced): some *.aff files don't have
> > that entry at all (e.g., en_GB.aff, whose OTHERCHARS should include
> > the ' character, and also ru_RU.aff); others, like he_IL.aff, have
> > that entry mention all the CASECHARS, in addition to OTHERCHARS.  I
> > wouldn't bet my money on what that entry gives us.
> 
> IMHO those dictionaries are buggy

Maybe so, but that's what is out there.  My point was that we cannot
rely on those entries, and that point stands even if that is because
of bugs in event the most popular dictionaries.

> > > The good news are that I started working on hunspell dicts autodetection.
> > 
> > Good news, indeed!  Thanks!
> 
> Just commited a first cut for hunspell dicts autodetection. I have tested it
> only in my GNU/Debian box and seems to work well, so time is come for real
> life check to notice how many things went unnoticed.

Thanks.